Bug 20996 - Improvements to changelog view port in gpk-u-v2
Summary: Improvements to changelog view port in gpk-u-v2
Status: RESOLVED NOTABUG
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: lowest enhancement
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-01 08:35 UTC by Michal Nowak
Modified: 2018-08-21 15:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Nowak 2009-04-01 08:35:17 UTC
1)

Viewer won't catch such a broken "email"

  2009-3-30 Adam Tkac <atkac redhat com> 32:9.6.1-0.1.b1

and will not display it with fixed font.

2)

This structure in spec

- patches merged
  - bind-96-isc_header.patch
  - bind-95-rh469440.patch
  - bind-96-realloc.patch
  - bind9-fedora-0001.diff

is treated this way:

• patches merged - bind-96-isc_header.patch - bind-95-rh469440.patch - bind-96-realloc.patch - bind9-fedora-0001.diff

Do better indenting of the four "•"s (preferable), or treat it as one level deep list of items without indentation.

3)

%changelog
* Mon Mar 30 2009 Ben Skeggs <bskeggs@redhat.com> 0.0.12-20.20090330git9d46930
- xv bugfix

* Mon Mar 30 2009 Ben Skeggs <bskeggs@redhat.com> 0.0.12-19.20090330git9213c39
- fix rh#492239, and various modesetting changes
- nouveau-eedid.patch: remove nv50 hunk, is upstream now
[...]


xorg-x11-drv-nouveau-0.0.12-19.20090330git9213c39.fc11.x86_64 is the installed

[...]0.0.12-20.20090330git9d46930 is the update

* Mon Mar 30 2009 Ben Skeggs <bskeggs@redhat.com> 0.0.12-20.20090330git9d46930
- xv bugfix

is the changelog diff to be seen in gpk-u-v2, but there's *nothing*. Perhaps because the date is same in both updates?

4)

%changelog
* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-2
- Try to fix a compile error with koji and the new gcc.

* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-1
- Update to 007

BUT:

The developer logs will be shown as no information is available for this update:
2009-3-30 Richard Hughes <richard@hughsie.com> 007-1
• Update to 007
2009-3-30 Richard Hughes <richard@hughsie.com> 007-2
• Try to fix a compile error with koji and the new gcc.

Items are swapped.

5)

- use DW_LANG_C99

BUT

• use DWLANGC99 ...

...in italic font.

Looks like a some wiki-style markup is here in place, I don't think it's in use in Fedora specs, but I could be wrong.
Comment 1 Michal Nowak 2009-04-07 04:06:36 UTC
m17n-contrib-1.1.9-3.fc11.noarch

(...-2 installed)

The developer logs will be shown as no information is available for this update:
Could not parse header: 'Parag Nemade <pnemade@redhat.com> -1.1.9-3', expected: 'Firstname Lastname <email@account.com> - version-release'

%changelog
* Mon Apr 06 2009 Parag Nemade <pnemade@redhat.com> -1.1.9-3
- Fix broken deps for maithili subpackage.
[...]
`---------------------------------------------------^-------
Comment 2 Richard Hughes 2018-08-21 15:52:33 UTC
We moved the upstream bugtracker to GitHub a long time ago. If this issue still affects you please re-create the issue here: https://github.com/hughsie/PackageKit/issues
 
Sorry for the impersonal message, and fingers crossed your issue no longer happens. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.